/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package truhlar;

import java.awt.Color;

/**
 *
 * @author kuchajar
 */
public class Hranol extends StavebniDil {

    private int a, b, c;

    public Hranol(int a, int b, int c) {
        super(Color.red, true);
        this.a = a;
        this.b = b;
        this.c = c;
    }

    @Override
    public double getObjem() {
        return a * b * c;
    }

    @Override
    public double getPlocha() {
        return 2 * (a * b + b * c + a * c);
    }

    @Override
    public String toString() {
        return "Hranol{" + "a=" + a + "b=" + b + "c=" + c + '}';
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Hranol other = (Hranol) obj;
        if (this.a != other.a) {
            return false;
        }
        if (this.b != other.b) {
            return false;
        }
        if (this.c != other.c) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 5;
        hash = 47 * hash + this.a;
        hash = 47 * hash + this.b;
        hash = 47 * hash + this.c;
        return hash;
    }



}
