package truhlar;

import java.awt.Color;

/**
 *
 * @author kuchajar
 */
public abstract class StavebniDil {
    private Color barva;
    private boolean vetsi;

    public StavebniDil(Color barva, boolean vetsi) {
        this.barva = barva;
        this.vetsi = vetsi;
    }

    public abstract double getObjem();
    public abstract double getPlocha();

    public Color getBarva() {
        return barva;
    }

    public void setBarva(Color barva) {
        this.barva = barva;
    }

    public boolean isVetsi() {
        return vetsi;
    }

    public void setVetsi(boolean vetsi) {
        this.vetsi = vetsi;
    }

    public double getCena() {
        double cena = 0;
        cena += getObjem()*SpolecnaData.getInstance().getCenaZaCm3();
        cena += getPlocha()*SpolecnaData.getInstance().getCenaZaCm2();
        return cena;
    }


}
