/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package truhlar;

import java.awt.Color;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author kuchajar
 */
public class Stavebnice {

    private List<Polozka> stavebnice = new ArrayList<Polozka>();

    public void pridej(StavebniDil dil) {
        Polozka nova = new Polozka(dil, 1);
        if (stavebnice.contains(nova)) {
            int i = stavebnice.indexOf(nova);
            stavebnice.get(i).pricti();
        } else {
            stavebnice.add(nova);
        }
    }

    public double getCena() {
        double cena = 0;
        for (Polozka p : stavebnice) {
            cena += p.getDil().getCena() * p.getPocet();
        }
        return cena;
    }

    @Override
    public String toString() {
        return "Stavebnice{" + "stavebnice=" + stavebnice + '}';
    }

    public static void main(String[] args) {
        Krychle k = new Krychle(Color.gray, true, 5);
        Hranol h = new Hranol(3, 4, 5);
        Hranol h2 = new Hranol(3, 4, 5);

        Stavebnice s = new Stavebnice();
        s.pridej(h);
        s.pridej(h2);
        s.pridej(k);
        System.out.println(s);
        System.out.println(s.getCena());


    }
}
